Data Fields

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- s : _Edje_External_Param , _Edje_External_Param_Info
- same_screen : _Ecore_Event_Key , _Ecore_Event_Mouse_Button , _Ecore_Event_Mouse_Move , _Ecore_Event_Mouse_Wheel
- save() : efl::file
- saved_memory : _Evas_Cserve_Stats
- saved_memory_peak : _Evas_Cserve_Stats
- saved_time_image_data_load : _Evas_Cserve_Stats
- saved_time_image_header_load : _Evas_Cserve_Stats
- scale : _Old_Edje_Part
- scale_get() : evas::canvas3d::node
- scale_hint : _Old_Edje_Part_Description_Spec_Image
- scale_set() : evas::canvas3d::node
- scene() : evas::canvas3d::scene
- script : _Old_Edje_Part_Collection
- scrollable_interface() : evas::scrollable_interface
- section : Efreet_Ini
- seek : _Ecore_Audio_Vio
- select_mode : _Old_Edje_Part
- selectable_interface() : evas::selectable_interface
- selection : _Ecore_Win32_Event_Selection_Clear , _Ecore_Win32_Event_Selection_Notify
- send_event : _Ecore_X_Event_Window_Hide
- server : _Ecore_Con_Event_Proxy_Bind , _Ecore_Con_Event_Server_Add , _Ecore_Con_Event_Server_Data , _Ecore_Con_Event_Server_Del , _Ecore_Con_Event_Server_Error , _Ecore_Con_Event_Server_Upgrade , _Ecore_Con_Event_Server_Write , _Ecore_Ipc_Event_Server_Add , _Ecore_Ipc_Event_Server_Data , _Ecore_Ipc_Event_Server_Del
- set : _Old_Edje_Part_Description_Spec_Image
- set_level() : efl::eina::_domain_base< D >
- sets : _Old_Edje_Image_Directory
- setup : _Eina_Value_Type
- shadows_enable_set() : evas::canvas3d::scene
- shape() : efl::gfx::shape , efl::vg::shape
- shared : _Eina_File
- shortname : _Ecore_Getopt_Desc
- shortp : _Ecore_Getopt_Value
- shortv : _Ecore_Getopt_Desc_Store
- show : _Ecore_IMF_Context_Class , _Evas_Smart_Class , _Evas_Video_Surface
- shutdown : _Ecore_Buffer_Backend
- signal_callback_add() : edje::object
- signal_callback_del() : edje::object
- signal_emit : _Edje_External_Type , edje::object
- signal_interface() : evas::signal_interface
- signalled : _Ecore_Exe_Event_Del
- signals : _Eldbus_Service_Interface_Desc
- size : _Ecore_Con_Event_Client_Data , _Ecore_Con_Event_Client_Write , _Ecore_Con_Event_Data_Received , _Ecore_Con_Event_Server_Data , _Ecore_Con_Event_Server_Write , _Ecore_Con_Event_Url_Data , _Ecore_Exe_Event_Data , _Ecore_Exe_Event_Data_Line , _Ecore_Ipc_Event_Client_Data , _Ecore_Ipc_Event_Server_Data , _Eet_Data_Descriptor_Class , _Eet_Entry , _Eina_Stat , _Eina_Value_Struct_Desc , efl::eina::_const_range_template< T, Traits > , efl::eina::_inarray_access_traits , efl::eina::_inarray_common_base , efl::eina::inlist< T, Allocator > , efl::eina::integer_sequence< T, Ints > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , efl::eina::stringshare , Efreet_Icon_Theme_Directory
- size_class_del() : edje::object
- size_class_get() : edje::object
- size_class_set() : edje::object
- size_classes : _Old_Edje_File
- size_get() : evas::canvas3d::scene , evas::canvas3d::texture
- size_min_calc() : edje::object
- size_min_restricted_calc() : edje::object
- size_set() : evas::canvas3d::scene
- size_type : efl::eina::_const_range_template< T, Traits > , efl::eina::_inarray_common_base , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::_range_template< T, Traits > , efl::eina::accessor_common_base< T > , efl::eina::array< T, CloneAllocator, Enable > , efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator >
- smart_clipped() : evas::smart_clipped
- smart_move_children_relative() : evas::object
- smart_type_check() : evas::object
- smart_type_check_ptr() : evas::object
- source : _Eio_Progress
- source_set() : evas::canvas3d::texture
- specular_get() : evas::canvas3d::light
- specular_set() : evas::canvas3d::light
- stack() : efl::gfx::stack
- stack_above() : efl::gfx::stack
- stack_below() : efl::gfx::stack
- start : _Eina_File_Line
- start_index : _Ecore_IMF_Preedit_Attr
- startup_notify : _Efreet_Desktop
- startup_wm_class : _Efreet_Desktop
- state : _Ecore_X_Event_Window_Property , _Edje_Part_Image_Use
- state_set : _Edje_External_Type
- status : _Ecore_Con_Event_Url_Complete
- stencil_bits : _Evas_GL_Config
- step : _Edje_External_Param_Info , _Eina_Array , _Eina_Inarray , _Eina_Value_Array
- str : _Edje_Message_String , _Edje_Message_String_Float , _Edje_Message_String_Float_Set , _Edje_Message_String_Int , _Edje_Message_String_Int_Set , _Edje_Message_String_Set
- str_alloc : _Eet_Data_Descriptor_Class
- str_direct_alloc : _Eet_Data_Descriptor_Class
- str_direct_free : _Eet_Data_Descriptor_Class
- str_free : _Eet_Data_Descriptor_Class
- strict : _Ecore_Getopt
- strikethrough : _Evas_Textgrid_Cell
- string : _Ecore_IMF_Event_Key_Down , _Ecore_IMF_Event_Key_Up , _Evas_Event_Key_Down , _Evas_Event_Key_Up
- stringshare() : efl::eina::stringshare
- strp : _Ecore_Getopt_Value
- strv : _Ecore_Getopt_Desc_Store
- style_user_push() : evas::textblock
- styles : _Old_Edje_File
- subtype : _Eina_Value_Array , _Eina_Value_Hash , _Eina_Value_List
- surface : _Evas_Native_Surface
- swap() : efl::eina::_const_range_template< T, Traits > , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::accessor< T, typename std::enable_if< ! std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_common_base< T > , efl::eina::accessor_iterator< T, typename std::enable_if< ! std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::inlist< T, Allocator > , efl::eina::optional< T > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , efl::eina::stringshare , efl::eina::thread , efl::eina::value